{% extends 'index.html' %}
{% load static %}

{% block theme-css-files %}
  <link href="{% static 'css/datepicker.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block header-js %}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/validators.js' %}"></script>
{% endblock %}

{% block title %} {{ html_title }} {% endblock title %}
{% block body %}
  {{ block.super }}
  <div class="right-bar">
    <div class="right-bar__overlay"></div>
    <div class="right-bar__box">
      <div class="right-bar__scroll">
        <div class="right-bar__content">
          {% include 'report/filter.html' %}
          <div id="filter-list" class="filter">
            <filter-component></filter-component>
          </div>
          <script>
            $(document).ready(function () {
                $('.filter select').select2({});
            });
          </script>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block page %}
  <div id="report-list" class="reports" v-cloak>
    <div class="section section_default">
      <div class="section__content">
        <div class="section__header header header_listing">
          <div class="header__main">
              {% if html_title == 'Отчёты'  %}
            <h1> {{ html_title }} <span class="section__count">${ count }</span></h1>
              {% endif %}
                {% if html_title == 'Проданные отчёты'  %}
            <h1> {{ html_title }} <span class="section__count">{{ count }} </span></h1>
                {% endif %}
                {% if request.user.is_admin %}
                <div class="field uploads__report-btn">
                  <button class="btn btn_xs btn_primary btn_inline mb_m print-hide" target="_blank" v-on:click="uploadReports($event)" style="background-color: white; margin-top: 15px">Выгрузить в автотеку</button>
                </div>
                {% endif %}
          </div>
          <div class="header__controls">
            <div class="field">
              <div class="control control_default control_m">
                <input v-model="searchQueryGlobal" class="global_search" v-on:keyup.enter="handleGlobalSearchQuery" type="text">
                <div v-on:click="handleGlobalSearchQuery"  class="control__icon control__icon--button icon icon_24 icon_default">
                  <svg>
                    <use xlink:href="#icon_search_24"></use>
                  </svg>
                </div>
              </div>
            </div>
            <div class="header__right-bar-toggle right-bar-toggle btn btn_m btn_white btn_square">
              <div class="btn__icon icon icon_24">
                <svg>
                  <use xlink:href="#icon_filter_24"></use>
                </svg>
              </div>
              <div v-show="filterCount > 0" class="btn__count">${ filterCount }</div>
            </div>
          </div>
        </div>
        <div class="section__body">
          {% include reports_list_template %}
{#          {% include 'report/reports.html' %}#}
          {% include 'paginator.html' %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}


{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: '',
        filterCount: 0,
      }
    }
  </script>

  <!--<script src="{% static 'assets/js/other/image-compressor.min.js' %}"></script>-->
  <script src="{% static 'js/bus.bundle.js' %}"></script>

  <script src="{% static 'js/reportlist.bundle.js' %}"></script>
  <!--<script src="{% static 'assets/js/other/cropper.min.js' %}"></script>-->

{% endblock %}
